GNU bug report logs - #49619
[PATCH 1/2] Add pirate-get

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: phodina <phodina@HIDDEN>; Keywords: patch; merged with #49620; dated Sun, 18 Jul 2021 11:37:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 49619 <at> debbugs.gnu.org:


Received: (at 49619) by debbugs.gnu.org; 22 Jul 2021 12:22:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 22 08:22:54 2021
Received: from localhost ([127.0.0.1]:39579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m6Xj4-0000uh-J6
	for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 08:22:54 -0400
Received: from mail-4316.protonmail.ch ([185.70.43.16]:54989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1m6Xj0-0000u7-1o
 for 49619 <at> debbugs.gnu.org; Thu, 22 Jul 2021 08:22:51 -0400
Date: Thu, 22 Jul 2021 12:22:42 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1626956563;
 bh=Vi2/TuWPdyA5bAhxRsa51xi1sNMn64R859yG+JkIhn4=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=klsdSCSB6AMyLN7fTLORyf6IGMKT5z2J9uMkt6sC6QYEptGnuAgIzKhg1DuusJYk4
 c7qYHCkPRzNm04cSoibdFguw1kGEaiq272jV6ua2CR70026058u81Fu/cq9Y+wBjlZ
 R5Cf/ahD55Fd70BUpKGUbAABBQRu7djqBUAMLRuo=
To: 49619 <at> debbugs.gnu.org
From: phodina <phodina@HIDDEN>
Subject: Re: bug#49619: [PATCH 2/2] Add pirate-get
Message-ID: <XnItfta1qBuzHN4Qry9ln_5BinMAFHH_e2lBuJIRyrni65GW8zdksUYEwqn69dj-1o_pLN8WMi13S0i5V--ayequIOtDz84D88Wqz6LKV10=@protonmail.com>
In-Reply-To: <8k-2wKQa0LpuopuIhb_90q6sfNtDiGhbFkLzul2M96i5hYKCwOLP-lC9QHmUeTn4dSl7Rx60bUu_RTIxXDnq0XpKV0gZrJq6BtzeHtsRv1k=@protonmail.com>
References: <JuV3kXY4ae-0f4PzOqwU4h0_Vh24XCQbm0P3uWqIKZ_-_7hOqSjxqsSHPpVdGA1OPcVRuyq0GT5UNjV_a8ZrDHuaZmNbh81jQzI644BmQR8=@protonmail.com>
 <86bl6wtm1a.fsf@HIDDEN>
 <8k-2wKQa0LpuopuIhb_90q6sfNtDiGhbFkLzul2M96i5hYKCwOLP-lC9QHmUeTn4dSl7Rx60bUu_RTIxXDnq0XpKV0gZrJq6BtzeHtsRv1k=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49619
Cc: Sarah Morgensen <iskarian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

And I guess control <at> debbugs.gnu.org is some kind of bot, right?
Here's the second patch:

---
In-Reply-To: <JuV3kXY4ae-0f4PzOqwU4h0_Vh24XCQbm0P3uWqIKZ_-_7hOqSjxqsSHPpVdG=
A1OPcVRuyq0GT5UNjV_a8ZrDHuaZmNbh81jQzI644BmQR8=3D@HIDDEN>
References: <JuV3kXY4ae-0f4PzOqwU4h0_Vh24XCQbm0P3uWqIKZ_-_7hOqSjxqsSHPpVdGA=
1OPcVRuyq0GT5UNjV_a8ZrDHuaZmNbh81jQzI644BmQR8=3D@HIDDEN>
From: Petr Hodina <phodina@HIDDEN>
Date: Sun, 18 Jul 2021 13:02:14 +0200
Subject: [PATCH v2 2/2] gnu: Add python-pirate-get
To: 49619 <at> debbugs.gnu.org


diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 020ba78401..a3b181cc30 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1779,6 +1779,33 @@ helpers.")
       displaying tabular data in a visually appealing ASCII table format."=
)
     (license license:bsd-3)))

+(define-public python-pirate-get
+  (package
+    (name "python-pirate-get")
+    (version "0.4.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "pirate-get" version))
+        (sha256
+          (base32
+            "07s5ss9dxccx1mip7pyga1fagywkqchxmzz55ng47ac9053ffxkq"))))
+    (build-system python-build-system)
+    (propagated-inputs
+      `(("python-colorama" ,python-colorama)
+        ("python-pyperclip" ,python-pyperclip)
+        ("python-veryprettytable"
+         ,python-veryprettytable)))
+    (home-page
+      "https://github.com/vikstrous/pirate-get")
+    (synopsis
+      "Command line interface for The Pirate Bay")
+    (description
+      "@code{pirate-get} is a convenient command line tool (inspired by AP=
T)
+to speed up your trip to the Pirate Bay and get your completely legal
+torrents more quickly.")
+    (license license:gpl3)))
+
 (define-public python2-humanfriendly
   (let ((base (package-with-python2
                 (strip-python2-variant python-humanfriendly))))
--
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#49619; Package guix-patches. Full text available.

Message received at 49619 <at> debbugs.gnu.org:


Received: (at 49619) by debbugs.gnu.org; 22 Jul 2021 12:17:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 22 08:17:59 2021
Received: from localhost ([127.0.0.1]:39558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m6XeI-0000mL-SN
	for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 08:17:59 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:35680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>)
 id 1m6XeE-0000m1-4q; Thu, 22 Jul 2021 08:17:57 -0400
Date: Thu, 22 Jul 2021 12:17:46 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1626956267;
 bh=hP2XguM9yjpDj92+fLR0cZgfnupnVfMB/tTwzDvXnAg=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=YUWOB8RbmaE8wpyywi8tFmclby59jYkz6nyunI+uokD9NohAwyokv82tNXXBANSZl
 jA9fUYsNmxzI8XEwdCXtSWjg0T7WPozTxw0JCSrAJ9D6XaazcA4bI+1xkW03C8t+iA
 biZejQUDB3Mlyiq07qO71GWn7YsQsIQH1GgeETWU=
To: 49619 <at> debbugs.gnu.org
From: phodina <phodina@HIDDEN>
Subject: Re: bug#49619: [PATCH 1/2] Add pirate-get
Message-ID: <8k-2wKQa0LpuopuIhb_90q6sfNtDiGhbFkLzul2M96i5hYKCwOLP-lC9QHmUeTn4dSl7Rx60bUu_RTIxXDnq0XpKV0gZrJq6BtzeHtsRv1k=@protonmail.com>
In-Reply-To: <86bl6wtm1a.fsf@HIDDEN>
References: <JuV3kXY4ae-0f4PzOqwU4h0_Vh24XCQbm0P3uWqIKZ_-_7hOqSjxqsSHPpVdGA1OPcVRuyq0GT5UNjV_a8ZrDHuaZmNbh81jQzI644BmQR8=@protonmail.com>
 <86bl6wtm1a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49619
Cc: control <at> debbugs.gnu.org, Sarah Morgensen <iskarian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks again Sarah for the suggestions.

---
In-Reply-To: <JuV3kXY4ae-0f4PzOqwU4h0_Vh24XCQbm0P3uWqIKZ_-_7hOqSjxqsSHPpVdG=
A1OPcVRuyq0GT5UNjV_a8ZrDHuaZmNbh81jQzI644BmQR8=3D@HIDDEN>
References: <JuV3kXY4ae-0f4PzOqwU4h0_Vh24XCQbm0P3uWqIKZ_-_7hOqSjxqsSHPpVdGA=
1OPcVRuyq0GT5UNjV_a8ZrDHuaZmNbh81jQzI644BmQR8=3D@HIDDEN>
From: Petr Hodina <phodina@HIDDEN>
Date: Sun, 18 Jul 2021 12:59:49 +0200
Subject: [PATCH v2 1/2] gnu: Add python-very-pretty-table
To: 49619 <at> debbugs.gnu.org


diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index d8c3fbec07..020ba78401 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -105,6 +105,7 @@
 ;;; Copyright =C2=A9 2021 Danial Behzadi <dani.behzi@HIDDEN>
 ;;; Copyright =C2=A9 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;; Copyright =C2=A9 2021 Hugo Lecomte <hugo.lecomte@HIDDEN>
+;;; Copyright =C2=A9 2021 Petr Hodina <phodina@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1754,6 +1755,30 @@ helpers.")
     (properties `((python2-variant . ,(delay python2-humanfriendly))))
     (license license:expat)))

+(define-public python-veryprettytable
+  (package
+    (name "python-veryprettytable")
+    (version "0.8.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "veryprettytable" version))
+        (sha256
+          (base32
+            "1k1rifz8x6qcicmx2is9vgxcj0qb2f5pvzrp7zhmvbmci3yack3f"))))
+    (build-system python-build-system)
+    (propagated-inputs
+      `(("python-colorama" ,python-colorama)
+        ("python-termcolor" ,python-termcolor)))
+    (home-page
+      "https://github.com/smeggingsmegger/VeryPrettyTable")
+    (synopsis
+      "Visually appealing ASCII table output format")
+    (description
+      "The functions and classes in @code{veryprettytable} allow for easil=
y
+      displaying tabular data in a visually appealing ASCII table format."=
)
+    (license license:bsd-3)))
+
 (define-public python2-humanfriendly
   (let ((base (package-with-python2
                 (strip-python2-variant python-humanfriendly))))
--
2.31.1




Information forwarded to guix-patches@HIDDEN:
bug#49619; Package guix-patches. Full text available.
Merged 49619 49620. Request was from Sarah Morgensen <iskarian@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49619 <at> debbugs.gnu.org:


Received: (at 49619) by debbugs.gnu.org; 21 Jul 2021 02:53:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 20 22:53:46 2021
Received: from localhost ([127.0.0.1]:35864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m62Mj-00050T-NZ
	for submit <at> debbugs.gnu.org; Tue, 20 Jul 2021 22:53:46 -0400
Received: from out0.migadu.com ([94.23.1.103]:33887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iskarian@HIDDEN>)
 id 1m62Mg-00050E-Eg; Tue, 20 Jul 2021 22:53:43 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mgsn.dev; s=key1;
 t=1626836020;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=P6p1rMNlUc3Bpbdbr2Hp+cJdLEMYUyKiYB1flDMDsQ0=;
 b=d835on4oexQqeUkYnXmVy3D9tGq4VjF+uMA2aEBFmO3EblG1upjtwQZIbYqFytyY4cW+5q
 pkB+he4Tuixx/oFRPgw25uDh5scaDAdmmDThbvxS5ZXWD6L9oGXR5nezUk6bd8ZeLddkqT
 vKtb+ttnZ2M4dV6A7T6oBVVj0CU+O7s=
From: Sarah Morgensen <iskarian@HIDDEN>
To: phodina <phodina@HIDDEN>
Subject: Re: bug#49619: [PATCH 1/2] Add pirate-get
References: <JuV3kXY4ae-0f4PzOqwU4h0_Vh24XCQbm0P3uWqIKZ_-_7hOqSjxqsSHPpVdGA1OPcVRuyq0GT5UNjV_a8ZrDHuaZmNbh81jQzI644BmQR8=@protonmail.com>
Date: Tue, 20 Jul 2021 19:53:37 -0700
In-Reply-To: <JuV3kXY4ae-0f4PzOqwU4h0_Vh24XCQbm0P3uWqIKZ_-_7hOqSjxqsSHPpVdGA1OPcVRuyq0GT5UNjV_a8ZrDHuaZmNbh81jQzI644BmQR8=@protonmail.com>
 (phodina@HIDDEN's message of "Sun, 18 Jul 2021 11:36:02 +0000")
Message-ID: <86bl6wtm1a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: iskarian@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49619
Cc: 49619 <at> debbugs.gnu.org, control <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

merge 49619 49620
thanks

Hello,

Thanks for the patch. Please note that when submitting patchsets, only
the first patch should be sent to guix-patches@HIDDEN; the rest should
be sent to the generated bug number, in this case 49619 <at> debbugs.gnu.org,
in reply to the first email. You can find information about contributing
at:

  https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html

I also have a few suggestions so your patch can be accepted.

phodina <phodina@HIDDEN> writes:

> Add pkg veryprettytable as a dependency for pkg pirate-get
>
> ---

Commit messages should follow the ChangeLog format; see the commit
history for examples. For example, this commit message would look like:

--8<---------------cut here---------------start------------->8---
gnu: Add python-veryprettytable.

* gnu/packages/python-xyz.scm (python-veryprettytable): New variable.
--8<---------------cut here---------------end--------------->8---

> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index d8c3fbec07..40b93c4b30 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -1754,6 +1754,30 @@ helpers.")
>      (properties `((python2-variant . ,(delay python2-humanfriendly))))
>      (license license:expat)))
>
> +(define-public python-veryprettytable
> +  (package
> +    (name "python-veryprettytable")
> +    (version "0.8.1")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (pypi-uri "veryprettytable" version))
> +        (sha256
> +          (base32
> +            "1k1rifz8x6qcicmx2is9vgxcj0qb2f5pvzrp7zhmvbmci3yack3f"))))
> +    (build-system python-build-system)
> +    (propagated-inputs
> +      `(("python-colorama" ,python-colorama)
> +        ("python-termcolor" ,python-termcolor)))
> +    (home-page
> +      "https://github.com/smeggingsmegger/VeryPrettyTable")
> +    (synopsis
> +      "A visually appealing ASCII table output format")

Avoid starting synopses and descriptions with articles. "Visually
appealing..." would be fine.

> +    (description
> +      "A simple Python library for easily displaying tabular data in a visually
> +appealing ASCII table format")

Descriptions typically start: "VeryPrettyTable is a simple..."

The description for pirate-get should probably start "Pirate-get is
a..." or "@code{pirate-get} is a..."

> +    (license license:bsd3)))

This should be license:bsd-3.

> +
>  (define-public python2-humanfriendly
>    (let ((base (package-with-python2
>                  (strip-python2-variant python-humanfriendly))))
> --
> 2.31.1

You should also add your copyright at the top of the file, below all the
others.

Please use `--reroll-count=` when generating revised patchsets and
`--to=49169 <at> debbugs.gnu.org --in-reply-to=<original patch's Message-ID>`
when sending.

--
Sarah




Information forwarded to guix-patches@HIDDEN:
bug#49619; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jul 2021 11:36:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 18 07:36:11 2021
Received: from localhost ([127.0.0.1]:55287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m555e-0007xO-Td
	for submit <at> debbugs.gnu.org; Sun, 18 Jul 2021 07:36:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:53640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1m555d-0007xH-Hg
 for submit <at> debbugs.gnu.org; Sun, 18 Jul 2021 07:36:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36000)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1m555d-00037g-2y
 for guix-patches@HIDDEN; Sun, 18 Jul 2021 07:36:09 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:50159)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1m555a-0004DW-Ej
 for guix-patches@HIDDEN; Sun, 18 Jul 2021 07:36:08 -0400
Date: Sun, 18 Jul 2021 11:36:02 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1626608163;
 bh=8IHyJWE/Rh8JSSiynDY1eg6gPtXOpFYZvVS6l2Hb7qY=;
 h=Date:To:From:Reply-To:Subject:From;
 b=AytM6VqGoeO2aClUt+3D8sI3G9Ps37ZlGX6WprD+JR3noxDMnzIRhoVkohIJvXAP3
 VgoK5UEjTU/eXbYlge8gOvSrSOmytuvohEOKwtpZDjVgHKbTy3+CoE4Yn1DxoozOef
 BPs7n75tbAvbaMKCBO1qWyPOBi5Z3/mIIVnTceS0=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 1/2] Add pirate-get
Message-ID: <JuV3kXY4ae-0f4PzOqwU4h0_Vh24XCQbm0P3uWqIKZ_-_7hOqSjxqsSHPpVdGA1OPcVRuyq0GT5UNjV_a8ZrDHuaZmNbh81jQzI644BmQR8=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.133;
 envelope-from=phodina@HIDDEN; helo=mail-40133.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Add pkg veryprettytable as a dependency for pkg pirate-get

---
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index d8c3fbec07..40b93c4b30 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1754,6 +1754,30 @@ helpers.")
     (properties `((python2-variant . ,(delay python2-humanfriendly))))
     (license license:expat)))

+(define-public python-veryprettytable
+  (package
+    (name "python-veryprettytable")
+    (version "0.8.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "veryprettytable" version))
+        (sha256
+          (base32
+            "1k1rifz8x6qcicmx2is9vgxcj0qb2f5pvzrp7zhmvbmci3yack3f"))))
+    (build-system python-build-system)
+    (propagated-inputs
+      `(("python-colorama" ,python-colorama)
+        ("python-termcolor" ,python-termcolor)))
+    (home-page
+      "https://github.com/smeggingsmegger/VeryPrettyTable")
+    (synopsis
+      "A visually appealing ASCII table output format")
+    (description
+      "A simple Python library for easily displaying tabular data in a vis=
ually
+appealing ASCII table format")
+    (license license:bsd3)))
+
 (define-public python2-humanfriendly
   (let ((base (package-with-python2
                 (strip-python2-variant python-humanfriendly))))
--
2.31.1




Acknowledgement sent to phodina <phodina@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#49619; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 22 Jul 2021 12:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.